package J20250807.proxy.staticProxy;

/**
 * @author WanJl
 * @version 1.0
 * @title HouseProxy
 * @description 代理类，中介
 * @create 2025/8/7
 */
public class HouseProxy implements Rent{
    //持有真实类的引用，就是创建一个真实类类型的成员变量
    private Landlord landlord;
    //通过构造方法传入真实对象
    public HouseProxy(Landlord landlord) {
        this.landlord = landlord;
    }

    /**
     * 租房的方法
     */
    @Override
    public void rentHouse() {
        //代理类添加的额外操作，租房前......
        System.out.println("中介：让我看看身份证....");

        //调用真实对象的方法----房东租房....
        landlord.rentHouse();

        //代理对象添加的额外操作，租房后.....
        System.out.println("中介：房子满意吧？中介费交一下.....");
    }
}
